Get messages for a specific conversation.

View as Markdown

Authentication

X-API-Keystring

API Key authentication. Generate your API key in the Gail Portal under General > Integrations > API Keys.

Path parameters

conversationIdstringRequiredformat: "uuid"
The unique identifier of the conversation.

Query parameters

includeArchivedbooleanOptionalDefaults to false
When true, allows retrieving messages from archived conversations.
afterstringOptionalformat: "uuid"
A GUID cursor to fetch items strictly after this ID.
beforestringOptionalformat: "uuid"
A GUID cursor to fetch items strictly before this ID.
limitintegerOptionalDefaults to 50

Maximum number of items to retrieve (default 50).

pageintegerOptionalDefaults to 1Deprecated

The page number (1-based).

sizeintegerOptionalDefaults to 50Deprecated

Number of items per page (default 50).

Response

OK
datalist of objects or nullOptional
totalinteger or nullOptional
pageinteger or nullOptional
sizeinteger or nullOptional
pagesinteger or nullOptional

Errors

400
Bad Request Error
404
Not Found Error